summaryrefslogtreecommitdiffstats
path: root/glib/make-dbus-glib-error-switch.sh
diff options
context:
space:
mode:
authorJohn (J5) Palmieri <johnp@redhat.com>2006-07-14 16:20:12 +0000
committerJohn (J5) Palmieri <johnp@redhat.com>2006-07-14 16:20:12 +0000
commita929c9a3b465db8b7e17b9b39936c612c2621a7c (patch)
treed1764257d1bd56f8e6a044516ccfc9bc44f7f9f5 /glib/make-dbus-glib-error-switch.sh
parent5efe8e7f1d97931710558495a951e0b35afbfb72 (diff)
* Remove all bindings
Diffstat (limited to 'glib/make-dbus-glib-error-switch.sh')
-rwxr-xr-xglib/make-dbus-glib-error-switch.sh29
1 files changed, 0 insertions, 29 deletions
diff --git a/glib/make-dbus-glib-error-switch.sh b/glib/make-dbus-glib-error-switch.sh
deleted file mode 100755
index 602cf990..00000000
--- a/glib/make-dbus-glib-error-switch.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh
-
-SRC=$1
-DEST=$2
-
-die()
-{
- echo $1 1>&2
- /bin/rm $DEST.tmp
- exit 1
-}
-
-echo 'static gint' > $DEST.tmp
-echo 'dbus_error_to_gerror_code (const char *derr)' >> $DEST.tmp
-echo '{' >> $DEST.tmp
-echo ' if (0) ; ' >> $DEST.tmp
-
-cat $SRC | grep '#define DBUS_ERROR' | sed -e 's/#define //g' | \
- sed -e 's/".*//g' | \
- (while read line; do \
- echo ' else if (!strcmp (derr, ' "$line" ' )) '; \
- echo ' return ' `echo $line | sed -e 's/DBUS_ERROR/DBUS_GERROR/g'` ';'; \
- done; \
- ) >> $DEST.tmp
-echo ' else' >> $DEST.tmp
-echo ' return DBUS_GERROR_REMOTE_EXCEPTION;' >> $DEST.tmp
-echo '}' >> $DEST.tmp
-
-mv $DEST.tmp $DEST || die "could not move $DEST.tmp to $DEST"